SOAPPart (Axis API)
Keywords: org.apache.axis.SOAPPart class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Class SOAPPart

    java.lang.Object
      javax.xml.soap.SOAPPart
          org.apache.axis.SOAPPart

All Implemented Interfaces:
  org.w3c.dom.Document, org.w3c.dom.Node, Part, java.io.Serializable

public class SOAPPart
extends SOAPPart
implements Part

The SOAPPart provides access to the root part of the Message which contains the envelope.

SOAPPart implements Part, providing common MIME operations.

SOAPPart also allows access to its envelope, as a string, byte[], InputStream, or SOAPEnvelope. (This functionality used to be in Message, and has been moved here more or less verbatim pending further cleanup.)

Author:
  Rob Jellinghaus (robj@unrealities.com), Doug Davis (dug@us.ibm.com), Glen Daniels (gdaniels@allaire.com), Heejune Ahn (cityboy@tmax.co.kr)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ALLOW_FORM_OPTIMIZATION` property used to set SOAPEnvelope as default form
`static int` | `FORM_BODYINSTREAM`
`static int` | `FORM_BYTES`
`static int` | `FORM_FAULT`
`static int` | `FORM_INPUTSTREAM`
`static int` | `FORM_OPTIMIZED`
`static int` | `FORM_SOAPENVELOPE`
`static int` | `FORM_STRING`
`protected static org.apache.commons.logging.Log` | `log`
`protected org.w3c.dom.Document` | `mDocument` SOAPEnvelope is the Document Elements of this XML docuement

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SOAPPart(Message parent, java.lang.Object initialContents, boolean isBodyStream)` Create a new SOAPPart.

Method Summary
`void` | `addMimeHeader(java.lang.String header, java.lang.String value)` Add the specified MIME header, as per JAXM.
`org.w3c.dom.Node` | `adoptNode(org.w3c.dom.Node node)`
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)`
`org.w3c.dom.Node` | `cloneNode(boolean deep)`
`org.w3c.dom.Attr` | `createAttribute(java.lang.String name)`
`org.w3c.dom.Attr` | `createAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName)`
`org.w3c.dom.CDATASection` | `createCDATASection(java.lang.String data)`
`org.w3c.dom.Comment` | `createComment(java.lang.String data)`
`org.w3c.dom.DocumentFragment` | `createDocumentFragment()`
`org.w3c.dom.Element` | `createElement(java.lang.String tagName)`
`org.w3c.dom.Element` | `createElementNS(java.lang.String namespaceURI, java.lang.String qualifiedName)`
`org.w3c.dom.EntityReference` | `createEntityReference(java.lang.String name)`
`org.w3c.dom.ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)`
`org.w3c.dom.Text` | `createTextNode(java.lang.String data)`
`java.util.Iterator` | `getAllMimeHeaders()` Retrieves all the headers for this `SOAPPart` object as an iterator over the `MimeHeader` objects.
`byte[]` | `getAsBytes()` Get the contents of this Part (not the headers!), as a byte array.
`SOAPEnvelope` | `getAsSOAPEnvelope()` Get the contents of this Part (not the MIME headers!), as a SOAPEnvelope.
`java.lang.String` | `getAsString()` Get the contents of this Part (not the headers!), as a String.
`org.w3c.dom.NamedNodeMap` | `getAttributes()`
`org.w3c.dom.NodeList` | `getChildNodes()`
`javax.xml.transform.Source` | `getContent()` Returns the content of the SOAPEnvelope as a JAXP `Source` object.
`java.lang.String` | `getContentId()` Content ID.
`java.lang.String` | `getContentIdRef()` Content ID.
`long` | `getContentLength()` Get the content length for this SOAPPart.
`java.lang.String` | `getContentLocation()` Content location.
`java.lang.String` | `getContentType()` Content type is always "text/xml" for SOAPParts.
`int` | `getCurrentForm()`
`java.lang.Object` | `getCurrentMessage()` Get the current message, in whatever form it happens to be right now.
`org.w3c.dom.DocumentType` | `getDoctype()`
`org.w3c.dom.Element` | `getDocumentElement()`
`org.w3c.dom.Element` | `getElementById(java.lang.String elementId)`
`org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String tagname)`
`org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.String` | `getEncoding()`
`SOAPEnvelope` | `getEnvelope()` Gets the `SOAPEnvelope` object associated with this `SOAPPart` object.
`org.w3c.dom.Node` | `getFirstChild()`
`org.w3c.dom.DOMImplementation` | `getImplementation()`
`org.w3c.dom.Node` | `getLastChild()`
`java.lang.String` | `getLocalName()`
`java.util.Iterator` | `getMatchingMimeHeaders(java.lang.String[] match)` Get all headers that match.
`Message` | `getMessage()` Get the `Message` for this `Part`.
`java.lang.String[]` | `getMimeHeader(java.lang.String name)` Gets all the values of the `MimeHeader` object in this `SOAPPart` object that is identified by the given `String`.
`java.lang.String` | `getNamespaceURI()`
`org.w3c.dom.Node` | `getNextSibling()`
`java.lang.String` | `getNodeName()` Node Implementation
`short` | `getNodeType()`
`java.lang.String` | `getNodeValue()`
`java.util.Iterator` | `getNonMatchingMimeHeaders(java.lang.String[] match)` Get all headers that do not match.
`org.w3c.dom.Document` | `getOwnerDocument()`
`org.w3c.dom.Node` | `getParentNode()`
`java.lang.String` | `getPrefix()`
`org.w3c.dom.Node` | `getPreviousSibling()`
`org.w3c.dom.Document` | `getSOAPDocument()`
`boolean` | `getStandalone()`
`boolean` | `getStrictErrorChecking()`
`java.lang.String` | `getVersion()`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`org.w3c.dom.Node` | `importNode(org.w3c.dom.Node importedNode, boolean deep)`
`org.w3c.dom.Node` | `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)`
`boolean` | `isBodyStream()`
`boolean` | `isSupported(java.lang.String feature, java.lang.String version)`
`void` | `normalize()`
`void` | `removeAllMimeHeaders()` Removes all the `MimeHeader` objects for this `SOAPEnvelope` object.
`org.w3c.dom.Node` | `removeChild(org.w3c.dom.Node oldChild)`
`void` | `removeMimeHeader(java.lang.String header)` Removes all MIME headers that match the given name.
`org.w3c.dom.Node` | `replaceChild(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)`
`void` | `saveChanges()`
`void` | `setContent(javax.xml.transform.Source source)` Sets the content of the `SOAPEnvelope` object with the data from the given `Source` object.
`void` | `setContentId(java.lang.String newCid)` Sets Content-Id of this part.
`void` | `setContentLocation(java.lang.String loc)` Set content location.
`void` | `setCurrentMessage(java.lang.Object currMsg, int form)` Set the current message
`void` | `setEncoding(java.lang.String s)`
`void` | `setMessage(Message msg)` Set the Message for this Part.
`void` | `setMimeHeader(java.lang.String name, java.lang.String value)` Changes the first header entry that matches the given header name so that its value is the given value, adding a new header with the given name and value if no existing header is a match.
`void` | `setNodeValue(java.lang.String nodeValue)`
`void` | `setPrefix(java.lang.String prefix)`
`void` | `setSOAPEnvelope(SOAPEnvelope env)` This set the SOAP Envelope for this part.
`void` | `setStandalone(boolean flag)`
`void` | `setStrictErrorChecking(boolean flag)`
`void` | `setVersion(java.lang.String s)`
`void` | `writeTo(java.io.OutputStream os)` Write the contents to the specified stream.
`void` | `writeTo(java.io.Writer writer)` Write the contents to the specified writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### FORM_STRING

    public static final int FORM_STRING

See Also:
  Constant Field Values

### FORM_INPUTSTREAM

    public static final int FORM_INPUTSTREAM

See Also:
  Constant Field Values

### FORM_SOAPENVELOPE

    public static final int FORM_SOAPENVELOPE

See Also:
  Constant Field Values

### FORM_BYTES

    public static final int FORM_BYTES

See Also:
  Constant Field Values

### FORM_BODYINSTREAM

    public static final int FORM_BODYINSTREAM

See Also:
  Constant Field Values

### FORM_FAULT

    public static final int FORM_FAULT

See Also:
  Constant Field Values

### FORM_OPTIMIZED

    public static final int FORM_OPTIMIZED

See Also:
  Constant Field Values

### ALLOW_FORM_OPTIMIZATION

    public static final java.lang.String ALLOW_FORM_OPTIMIZATION

  property used to set SOAPEnvelope as default form

  See Also:
    Constant Field Values

### mDocument

    protected org.w3c.dom.Document mDocument

  SOAPEnvelope is the Document Elements of this XML docuement

Constructor Detail

### SOAPPart

    public SOAPPart(Message parent,
                    java.lang.Object initialContents,
                    boolean isBodyStream)

  Create a new SOAPPart.

  Do not call this directly! Should only be called by Message.

Parameters:
  `parent` - the parent `Message`
  `initialContents` - the initial contens `Object`
  `isBodyStream` - if the body is in a stream

Method Detail

### getMessage

    public Message getMessage()

  Get the `Message` for this `Part`.

  Returns:
    the `Message` for this `Part`

### setMessage

    public void setMessage(Message msg)

  Set the Message for this Part. Do not call this Directly. Called by Message.

  Parameters:
    `msg` - the `Message` for this part

### getContentType

    public java.lang.String getContentType()

  Content type is always "text/xml" for SOAPParts.

  Specified by:
    `getContentType` in interface `Part`
  Returns:
    the content type

### getContentLength

    public long getContentLength()
                          throws AxisFault

  Get the content length for this SOAPPart. This will force buffering of the SOAPPart, but it will also cache the byte[] form of the SOAPPart.

  Returns:
    the content length in bytes
  Throws:
    `AxisFault`

### setSOAPEnvelope

    public void setSOAPEnvelope(SOAPEnvelope env)

  This set the SOAP Envelope for this part.

  Note: It breaks the chicken/egg created. I need a message to create an attachment... From the attachment I should be able to get a reference... I now want to edit elements in the envelope in order to place the attachment reference to it. How do I now update the SOAP envelope with what I've changed?

  Parameters:
    `env` - the `SOAPEnvelope` for this `SOAPPart`

### writeTo

    public void writeTo(java.io.OutputStream os)
                 throws java.io.IOException

  Write the contents to the specified stream.

  Parameters:
    `os` - the `java.io.OutputStream` to write to
  Throws:
    `java.io.IOException`

### writeTo

    public void writeTo(java.io.Writer writer)
                 throws java.io.IOException

  Write the contents to the specified writer.

  Parameters:
    `writer` - the `Writer` to write to
  Throws:
    `java.io.IOException`

### getCurrentMessage

    public java.lang.Object getCurrentMessage()

  Get the current message, in whatever form it happens to be right now. Will return a String, byte[], InputStream, or SOAPEnvelope, depending on circumstances.

  The method name is historical. TODO: rename this for clarity; should be more like getContents.

  Returns:
    the current content

### setCurrentMessage

    public void setCurrentMessage(java.lang.Object currMsg,
                                  int form)

  Set the current message

  Parameters:
    `currMsg` -
    `form` -

### getCurrentForm

    public int getCurrentForm()

### getAsBytes

    public byte[] getAsBytes()
                      throws AxisFault

  Get the contents of this Part (not the headers!), as a byte array. This will force buffering of the message.

  Returns:
    an array of bytes containing a byte representation of this Part
  Throws:
    `AxisFault` - if this Part can't be serialized to the byte array

### saveChanges

    public void saveChanges()
                     throws AxisFault

  Throws:
    `AxisFault`

### getAsString

    public java.lang.String getAsString()
                                 throws AxisFault

  Get the contents of this Part (not the headers!), as a String. This will force buffering of the message.

  Returns:
    a `String` containing the content of this message
  Throws:
    `AxisFault` - if there is an error serializing this part

### getAsSOAPEnvelope

    public SOAPEnvelope getAsSOAPEnvelope()
                                   throws AxisFault

  Get the contents of this Part (not the MIME headers!), as a SOAPEnvelope. This will force a complete parse of the message.

  Returns:
    a `SOAPEnvelope` containing the message content
  Throws:
    `AxisFault` - if the envelope could not be constructed

### addMimeHeader

    public void addMimeHeader(java.lang.String header,
                              java.lang.String value)

  Add the specified MIME header, as per JAXM.

  Specified by:
    `addMimeHeader` in interface `Part`
  Specified by:
    `addMimeHeader` in class `SOAPPart`
  Parameters:
    `header` - the header to add
    `value` - the value of that header

### getContentLocation

    public java.lang.String getContentLocation()

  Content location.

  Specified by:
    `getContentLocation` in interface `Part`
  Overrides:
    `getContentLocation` in class `SOAPPart`
  Returns:
    the content location
  See Also:
    `setContentLocation(java.lang.String)`

### setContentLocation

    public void setContentLocation(java.lang.String loc)

  Set content location.

  Specified by:
    `setContentLocation` in interface `Part`
  Overrides:
    `setContentLocation` in class `SOAPPart`
  Parameters:
    `loc` - the content location
  See Also:
    `getContentLocation()`

### setContentId

    public void setContentId(java.lang.String newCid)

  Sets Content-Id of this part. already defined.

  Specified by:
    `setContentId` in interface `Part`
  Overrides:
    `setContentId` in class `SOAPPart`
  Parameters:
    `newCid` - new Content-Id
  See Also:
    `getContentId()`

### getContentId

    public java.lang.String getContentId()

  Content ID.

  Specified by:
    `getContentId` in interface `Part`
  Overrides:
    `getContentId` in class `SOAPPart`
  Returns:
    the content ID
  See Also:
    `setContentId(java.lang.String)`

### getContentIdRef

    public java.lang.String getContentIdRef()

  Content ID.

  Specified by:
    `getContentIdRef` in interface `Part`
  Returns:
    the contentId reference value that should be used directly as an href in a SOAP element to reference this attachment. Not part of JAX-RPC, JAX-M, SAAJ, etc.

### getMatchingMimeHeaders

    public java.util.Iterator getMatchingMimeHeaders(java.lang.String[] match)

  Get all headers that match.

  Specified by:
    `getMatchingMimeHeaders` in interface `Part`
  Specified by:
    `getMatchingMimeHeaders` in class `SOAPPart`
  Parameters:
    `match` - an array of `String`s giving mime header names
  Returns:
    an `Iterator` over all values matching these headers

### getNonMatchingMimeHeaders

    public java.util.Iterator getNonMatchingMimeHeaders(java.lang.String[] match)

  Get all headers that do not match.

  Specified by:
    `getNonMatchingMimeHeaders` in interface `Part`
  Specified by:
    `getNonMatchingMimeHeaders` in class `SOAPPart`
  Parameters:
    `match` - an array of `String`s giving mime header names
  Returns:
    an `Iterator` over all values not matching these headers

### setContent

    public void setContent(javax.xml.transform.Source source)
                    throws SOAPException

  Sets the content of the `SOAPEnvelope` object with the data from the given `Source` object.

  Specified by:
    `setContent` in class `SOAPPart`
  Parameters:
    `source` - javax.xml.transform.Source object with the data to be set
  Throws:
    `SOAPException` - if there is a problem in setting the source
  See Also:
    `getContent()`

### getContent

    public javax.xml.transform.Source getContent()
                                          throws SOAPException

  Returns the content of the SOAPEnvelope as a JAXP `Source` object.

  Specified by:
    `getContent` in class `SOAPPart`
  Returns:
    the content as a `javax.xml.transform.Source` object
  Throws:
    `SOAPException` - if the implementation cannot convert the specified `Source` object
  See Also:
    `setContent(javax.xml.transform.Source)`

### getAllMimeHeaders

    public java.util.Iterator getAllMimeHeaders()

  Retrieves all the headers for this `SOAPPart` object as an iterator over the `MimeHeader` objects.

  Specified by:
    `getAllMimeHeaders` in class `SOAPPart`
  Returns:
    an `Iterator` object with all of the Mime headers for this `SOAPPart` object

### setMimeHeader

    public void setMimeHeader(java.lang.String name,
                              java.lang.String value)

  Changes the first header entry that matches the given header name so that its value is the given value, adding a new header with the given name and value if no existing header is a match. If there is a match, this method clears all existing values for the first header that matches and sets the given value instead. If more than one header has the given name, this method removes all of the matching headers after the first one.

  Note that RFC822 headers can contain only US-ASCII characters.

  Specified by:
    `setMimeHeader` in class `SOAPPart`
  Parameters:
    `name` - a `String` giving the header name for which to search
    `value` - a `String` giving the value to be set. This value will be substituted for the current value(s) of the first header that is a match if there is one. If there is no match, this value will be the value for a new `MimeHeader` object.
  See Also:
    `getMimeHeader(java.lang.String)`

### getMimeHeader

    public java.lang.String[] getMimeHeader(java.lang.String name)

  Gets all the values of the `MimeHeader` object in this `SOAPPart` object that is identified by the given `String`.

  Specified by:
    `getMimeHeader` in interface `Part`
  Specified by:
    `getMimeHeader` in class `SOAPPart`
  Parameters:
    `name` - the name of the header; example: "Content-Type"
  Returns:
    a `String` array giving all the values for the specified header
  See Also:
    `setMimeHeader(java.lang.String, java.lang.String)`

### removeAllMimeHeaders

    public void removeAllMimeHeaders()

  Removes all the `MimeHeader` objects for this `SOAPEnvelope` object.

  Specified by:
    `removeAllMimeHeaders` in class `SOAPPart`

### removeMimeHeader

    public void removeMimeHeader(java.lang.String header)

  Removes all MIME headers that match the given name.

  Specified by:
    `removeMimeHeader` in class `SOAPPart`
  Parameters:
    `header` - a `String` giving the name of the MIME header(s) to be removed

### getEnvelope

    public SOAPEnvelope getEnvelope()
                             throws SOAPException

  Gets the `SOAPEnvelope` object associated with this `SOAPPart` object. Once the SOAP envelope is obtained, it can be used to get its contents.

  Specified by:
    `getEnvelope` in class `SOAPPart`
  Returns:
    the `SOAPEnvelope` object for this `SOAPPart` object
  Throws:
    `SOAPException` - if there is a SOAP error

### getSOAPDocument

    public org.w3c.dom.Document getSOAPDocument()

  Since:
    SAAJ 1.2

### getDoctype

    public org.w3c.dom.DocumentType getDoctype()

  Specified by:
    `getDoctype` in interface `org.w3c.dom.Document`
  Returns:

### getImplementation

    public org.w3c.dom.DOMImplementation getImplementation()

  Specified by:
    `getImplementation` in interface `org.w3c.dom.Document`
  Returns:

### getDocumentElement

    public org.w3c.dom.Element getDocumentElement()

  Specified by:
    `getDocumentElement` in interface `org.w3c.dom.Document`

### createElement

    public org.w3c.dom.Element createElement(java.lang.String tagName)
                                      throws org.w3c.dom.DOMException

  Specified by:
    `createElement` in interface `org.w3c.dom.Document`
  Parameters:
    `tagName` -
  Returns:
  Throws:
    `org.w3c.dom.DOMException`

### createDocumentFragment

    public org.w3c.dom.DocumentFragment createDocumentFragment()

  Specified by:
    `createDocumentFragment` in interface `org.w3c.dom.Document`

### createTextNode

    public org.w3c.dom.Text createTextNode(java.lang.String data)

  Specified by:
    `createTextNode` in interface `org.w3c.dom.Document`

### createComment

    public org.w3c.dom.Comment createComment(java.lang.String data)

  Specified by:
    `createComment` in interface `org.w3c.dom.Document`

### createCDATASection

    public org.w3c.dom.CDATASection createCDATASection(java.lang.String data)
                                                throws org.w3c.dom.DOMException

  Specified by:
    `createCDATASection` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### createProcessingInstruction

    public org.w3c.dom.ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                                         java.lang.String data)
                                                                  throws org.w3c.dom.DOMException

  Specified by:
    `createProcessingInstruction` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### createAttribute

    public org.w3c.dom.Attr createAttribute(java.lang.String name)
                                     throws org.w3c.dom.DOMException

  Specified by:
    `createAttribute` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### createEntityReference

    public org.w3c.dom.EntityReference createEntityReference(java.lang.String name)
                                                      throws org.w3c.dom.DOMException

  Specified by:
    `createEntityReference` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String tagname)

  Specified by:
    `getElementsByTagName` in interface `org.w3c.dom.Document`

### importNode

    public org.w3c.dom.Node importNode(org.w3c.dom.Node importedNode,
                                       boolean deep)
                                throws org.w3c.dom.DOMException

  Specified by:
    `importNode` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### createElementNS

    public org.w3c.dom.Element createElementNS(java.lang.String namespaceURI,
                                               java.lang.String qualifiedName)
                                        throws org.w3c.dom.DOMException

  Specified by:
    `createElementNS` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### createAttributeNS

    public org.w3c.dom.Attr createAttributeNS(java.lang.String namespaceURI,
                                              java.lang.String qualifiedName)
                                       throws org.w3c.dom.DOMException

  Specified by:
    `createAttributeNS` in interface `org.w3c.dom.Document`
  Throws:
    `org.w3c.dom.DOMException`

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                       java.lang.String localName)

  Specified by:
    `getElementsByTagNameNS` in interface `org.w3c.dom.Document`

### getElementById

    public org.w3c.dom.Element getElementById(java.lang.String elementId)

  Specified by:
    `getElementById` in interface `org.w3c.dom.Document`

### getEncoding

    public java.lang.String getEncoding()

### setEncoding

    public void setEncoding(java.lang.String s)

### getStandalone

    public boolean getStandalone()

### setStandalone

    public void setStandalone(boolean flag)

### getStrictErrorChecking

    public boolean getStrictErrorChecking()

### setStrictErrorChecking

    public void setStrictErrorChecking(boolean flag)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String s)

### adoptNode

    public org.w3c.dom.Node adoptNode(org.w3c.dom.Node node)
                               throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getNodeName

    public java.lang.String getNodeName()

  Node Implementation

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws org.w3c.dom.DOMException

  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### getNodeType

    public short getNodeType()

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`

### getParentNode

    public org.w3c.dom.Node getParentNode()

  Specified by:
    `getParentNode` in interface `org.w3c.dom.Node`

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `org.w3c.dom.Node`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`

### getLastChild

    public org.w3c.dom.Node getLastChild()

  Specified by:
    `getLastChild` in interface `org.w3c.dom.Node`

### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

  Specified by:
    `getPreviousSibling` in interface `org.w3c.dom.Node`

### getNextSibling

    public org.w3c.dom.Node getNextSibling()

  Specified by:
    `getNextSibling` in interface `org.w3c.dom.Node`

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `org.w3c.dom.Node`

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `org.w3c.dom.Node`

### insertBefore

    public org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node refChild)
                                  throws org.w3c.dom.DOMException

  Specified by:
    `insertBefore` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### replaceChild

    public org.w3c.dom.Node replaceChild(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node oldChild)
                                  throws org.w3c.dom.DOMException

  Specified by:
    `replaceChild` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### removeChild

    public org.w3c.dom.Node removeChild(org.w3c.dom.Node oldChild)
                                 throws org.w3c.dom.DOMException

  Specified by:
    `removeChild` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  Specified by:
    `appendChild` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Specified by:
    `cloneNode` in interface `org.w3c.dom.Node`

### normalize

    public void normalize()

  Specified by:
    `normalize` in interface `org.w3c.dom.Node`

### isSupported

    public boolean isSupported(java.lang.String feature,
                               java.lang.String version)

  Specified by:
    `isSupported` in interface `org.w3c.dom.Node`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `org.w3c.dom.Node`

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `org.w3c.dom.Node`

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws org.w3c.dom.DOMException

  Specified by:
    `setPrefix` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `org.w3c.dom.Node`

### hasAttributes

    public boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `org.w3c.dom.Node`

### isBodyStream

    public boolean isBodyStream()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.